/*
 * stm32_uid.h
 *
 *  Created on: 25.07.2016
 *      Author: balbekova
 */

#ifndef STM32_UID_H_
#define STM32_UID_H_

#include <stdint.h>

/**
 * The STM32 factory-programmed UUID memory.
 * Three values of 32 bits each starting at this address
 * Use like this: STM32_UUID[0], STM32_UUID[1], STM32_UUID[2]
 */
#define STM32_UUID ((uint8_t *)0x1FFF7A10)

void GetSTM32IDStr(char* str, uint8_t* len);


#endif /* STM32_UID_H_ */
