/******************************* (C) LiteMesh **********************************
 * @module  buttons_api
 * @file    buttons_api.h
 * @version 1.0.0
 * @date    XX.XX.XXXX
 * $brief   buttons_api
 *******************************************************************************
 * @history     Version  Author         Comment
 * XX.XX.XXXX   1.0.0    Telenkov D.A.  First release.
 *******************************************************************************
 */

/* Define to prevent recursive  ----------------------------------------------*/
#ifndef __PORTS_H
#define __PORTS_H

#include <stdbool.h>

#define RS232_PORT       USART3

#define RS232_MAX_REC_LEN   1500

/**
  * @brief  
  */
void RS232_Init(void);

void RS232_SendByte(char byte);

extern char        recvBufRS232[];     // Входной буфер для RS232
extern uint16_t    indexRS232;

#endif /* #ifndef __PORTS_H */

/****************************** (C) LiteMesh ***************** end of file ****/
